Skip to main content

Saves and stages the security configuration

POST 

/qsystem/rest/config/agent/:agentId/security/stagedSecurityConfiguration

Saves and stages the security configuration. The configuration will not be published to the Queue Agent in this call, see the separate publish call. The central Queue Agent does not support setting the 'activeCertificateAlias' property, it will be ignored for calls targeting the central Queue Agent.

Example:

curl -i -X POST -u user:password -H 'Content-Type: application/json' -d '{
"secureWebSocketPort": 18989,
"secureWebSocketEnabled": "true",
"webSocketPort": 18888,
"webSocketEnabled": "true",
"activeCertificateAlias": "myAgentAlias-2017-04-10T12:47:53"
}'
http://ip:port/qsystem/rest/config/agent/{agentId}/security/stagedSecurityConfiguration

Request​

Responses​